## packagekit 0.7.6

=== debian/changelog ===
packagekit (0.7.6-3) unstable; urgency=low

  * aptcc: Fix Apt cache handling bug (Closes: #699681)

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 12 Feb 2013 17:05:46 +0100

packagekit (0.7.6-2) unstable; urgency=low

  * aptcc: Release remaining lock on the archive after
     a transaction has completed
  * aptcc: Fix trusted/untrusted package handling
  * aptcc: Don't accidentially mark packages as auto-installed
  * Removed some unused build dependencies

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 10 Dec 2012 19:16:33 +0100

packagekit (0.7.6-1) unstable; urgency=low

  * New upstream bugfix release: 0.7.6
    Changes relevant to Debian:
    - aptcc: Don't use tempfile with fixed name for conffiles
       (Matthias Klumpp) (Closes: #678189)
    - Add GStreamer 1.0 support to the PackageKit plugin
       (Richard Hughes)
    - Ignore "accept-eula" in pk-transaction-run (Gary Ching-Pang Lin)
    - Check for CancelBackgroundTransactions setting again
       (Matthias Klumpp)
    - Fix a crash where NetworkManager is restarted whilst packagekitd
       is running (Richard Hughes)
    - Drop the unused polkit-backend-1 check from configure as
       it's gone upstream (Richard Hughes)
    - Fix segfault in pkcon when user does ctrl-d at the package prompt
       (Richard Hughes)
    - Inhibit shutdown when the package manager is locked (Richard Hughes)
    - Fix several return values in pkcon when there is an error
       (Richard Hughes)
    - Allow the user to specify standard GNU help options (Richard Hughes)
    - Do not allow the client to overwrite files when downloading packages
       (Richard Hughes)

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 21 Aug 2012 16:41:43 +0200

packagekit (0.7.5-2) unstable; urgency=low

  * Fix mistake in GTK3-module install file

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 26 Jun 2012 21:14:58 +0200

packagekit (0.7.5-1) unstable; urgency=low

  * Disable strict mode
  * Allow alternative system-interface implementations
  * New upstream bugfix release: 0.7.5
    Changes relevant to Debian:
    - glib: Allow adding packages to PkPackageSack from package-list
       files (Matthias Klumpp)
    - glib: More GIR annotations (Matthias Klumpp)
    - glib: Use the correct user-cache directory (Richard Hughes)
    - aptcc: Don't freeze if apt-listchanges is installed
       (Matthias Klumpp) (Closes: #662602)
    - aptcc: Make get-distro-upgrades.py helper work with Python3
       (Sebastian Heinlein)
    - aptcc: save the changelog to a random directory (Daniel Nicoletti)
    - Add a dummy GTK+2 module to avoid a warning when starting GTK+2
       applications (Richard Hughes) (Closes: #649039)
    - Add the pkg to the PkPackageSack hash when using
       pk_package_sack_add_package_by_id() (Richard Hughes)
    - Automatically set the Locked property true if allow cancel is set
       to false (Richard Hughes)
    - Clarify message for org.freedesktop.packagekit.package-install
       (Nils Philippsen)
    - Document HARDWARE_DRIVER (Martin Pitt)
    - Document MODALIAS (Martin Pitt)
    - Don't show a warning on refresh if /var/run/PackageKit/udev does
       not exist (Richard Hughes)
    - Fix importing GPG signatures (Richard Hughes)
  * Removed patches: Applied upstream
  * Removed Apt backend again: Backend is broken and can't be included
    in Wheezy at the current state. Please use aptcc, which works much
    better at time and is well-tested (Closes: #678978)

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 26 Jun 2012 20:12:14 +0200

packagekit (0.7.4-4) unstable; urgency=low

  * Install browser-plugin into valid path (Closes: #674910)
  * Install introduction pages (Closes: #665289)

 -- Matthias Klumpp <matthias@tenstral.net>  Sat, 02 Jun 2012 12:40:34 +0200

packagekit (0.7.4-3) unstable; urgency=medium

  * aptcc: Save changelog to random dir

 -- Matthias Klumpp <matthias@tenstral.net>  Wed, 23 May 2012 17:57:28 +0200

packagekit (0.7.4-2) unstable; urgency=low

  * Fixed qt2 library soname
  * Don't install GIR into multiarch path (Closes: #670374)
  * Updated packagekit-python description

 -- Matthias Klumpp <matthias@tenstral.net>  Thu, 26 Apr 2012 17:20:41 +0200

packagekit (0.7.4-1) unstable; urgency=low

  * New upstream release: 0.7.4
    This is the ultimate-aptcc release, fixing nearly all known bugs!
    PK changes relevant to Debian:
     - packagekit-glib2: Add GType's for packagekit-glib2 enumerations
        (Stef Walter)
     - packagekit-qt2: Add simulateRepairSystem and repairSystem(bool) to
        the Transaction API (Daniel Nicoletti)
     - python: Speed up get_package_list (Tomáš Trnka)
     - apt: apt.cache.Cache() now reuses the dpkg of the chroot
        (Sebastian Heinlein)
     - apt: Fix modalias search on non-multi-arch systems
        (Sebastian Heinlein)
     - apt: Replace use of depracted python-apt 0.7.x API
        (Sebastian Heinlein)
     - aptcc: Add a new class to show cache opening progress
        (Daniel Nicoletti)
     - aptcc: Add AptCacheFile to handle all pkg cache openings
        (Daniel Nicoletti)
     - aptcc: Add SimulateRepairSystem and RepairSystem methods
        (Daniel Nicoletti) (LP: #496290)
     - aptcc: Avoid crashing when error messages containing invalid utf8
        is sent (Daniel Nicoletti)
     - aptcc: Change the way we mark auto-installed packages
        (Daniel Nicoletti)
     - aptcc: Correctly emit if a repo is enabled (Matthias Klumpp)
     - aptcc: Don't emit error if repo is empty (Matthias Klumpp)
     - aptcc: Emit newly-installed local package information (Matthias Klumpp)
     - aptcc: Emit packages that are untrusted with the
        PK_INFO_ENUM_UNTRUSTED enum (Daniel Nicoletti)
     - aptcc: Emit UnfinishedTransaction when we were not able to fix the
        cache (Daniel Nicoletti)
     - aptcc: Fix a multiarch bug that failed to resolve packages
        (Daniel Nicoletti)

