## packagekit 0.8.10

=== debian/changelog ===
packagekit (0.8.10-2ubuntu2) saucy; urgency=low

  * Temporarily disable browser plugin on arm64, to help with bootstrapping
    this new architecture.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 13 Oct 2013 21:49:15 +0100

packagekit (0.8.10-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Client tools alternatively depend on or recommend aptdaemon's
      compatibility layer
    + packagekit provides the virtual packagekit-system-interface
    + Add break on packagekit-plugin-click <= 0.3
    + Fix default url in vendor-ubuntu.diff

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Tue, 27 Aug 2013 23:45:23 +0200

packagekit (0.8.10-2) unstable; urgency=low

  * Always ask for passwort when installing packages
    - Ask for password even if packages are trusted and user
      is in sudo group.
    - This is a more conservative default, since apparently software
      on servers started using PackageKit too.
    - Sudo-people are still able to perform updates

 -- Matthias Klumpp <mak@debian.org>  Fri, 02 Aug 2013 20:48:42 +0200

packagekit (0.8.10-1) unstable; urgency=low

  * New upstream release: 0.8.10
  * Adjusted Debian default settings to new upstream configuration
  * Updated security policy, the following config is valid:
    - Allow any local, active user in the "sudo" group to perform
      system-updates, trigger offline-updates and install signed packages
      from trusted sources.
    - Allow any user to refresh the package cache
    - Restrict all other tasks to users with superuser-privileges
    - These changes will take effect with PolicyKit >= 0.110
  * Fix package-install policy, was changed temporarily
    by upstream (Closes: #717742)
  * Provide symbols-file for libpackagekit-glib2 (Closes: #700204)

 -- Matthias Klumpp <mak@debian.org>  Fri, 26 Jul 2013 16:32:20 +0200

packagekit (0.8.9-3) unstable; urgency=low

  * Don't make aptcc backend recommend appstream-index
    - Frontends will recommend it if they support it
  * Drop unneeded build-dependency on python3-dev

 -- Matthias Klumpp <mak@debian.org>  Thu, 11 Jul 2013 18:48:42 +0200

packagekit (0.8.9-2) unstable; urgency=low

  * Upload to unstable (Closes: #709580)
  * Break old client library packages (Closes: #700237)

 -- Matthias Klumpp <mak@debian.org>  Sun, 23 Jun 2013 22:32:52 +0200

packagekit (0.8.9-1) experimental; urgency=low

  * New upstream release: 0.8.9
    - Many bugfixes and new features, see the NEWS file for details
  * Remove system-interface virtual package
    - Was only used in Ubuntu, and not really useful there, since they
      had to patch PackageKit anyway. It also made finding issues in Debian
      harder.
  * Drop 01_compile-nonlinux.patch: Applied upstream
  * Install bash-completion for pkcon

 -- Matthias Klumpp <mak@debian.org>  Tue, 04 Jun 2013 14:08:24 +0200

packagekit (0.8.7-2) experimental; urgency=low

  * Make PackageKit compile on non-Linux platforms (Closes: #705797)
    - Thanks to Petr Salinger for the patch!

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Apr 2013 18:18:08 +0200

packagekit (0.8.7-1) experimental; urgency=low

  * New upstream release: 0.8.7
  * Change mail to my Debian address
  * Apply DEP-5 specs to (new) copyright file

 -- Matthias Klumpp <mak@debian.org>  Tue, 19 Mar 2013 20:24:14 +0100

packagekit (0.8.6-1) experimental; urgency=low

  * Remove Aptcc trigger which became useless
  * Recommend gdebi-core again (LP: #1060395)
  * New upstream release: 0.8.6
    - Many improvements and bugfixes
  * Remove Qt bindings, have been split out to new source package
  * Build PackageKit with Python3
  * Bump standards version (no changes needed)
  * Don't create extra package for offline-updates
  * Make PackageKit work on non-Linux archs again

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 28 Nov 2012 14:12:40 +0100

packagekit (0.8.4-1) experimental; urgency=low

  * New upstream release: 0.8.4

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 01 Oct 2012 20:26:47 +0200

packagekit (0.8.3-1) experimental; urgency=low

  * New upstream release: 0.8.3
    This is a release from the 0.8.x series which contains many
    exciting new features, for example parallel transactions,
    heavily improved backend API, many speed optimizations,
    offline-update support etc. For details see the PackageKit
    changelog.
  * Use systemd on all Linux architectures
  * Add offline-update technology preview
  * Adjust library package names to new soversions

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 21 Aug 2012 17:42:27 +0200

packagekit (0.7.6-3ubuntu3) saucy; urgency=low

  * Drop libpackagekit-qt2-dev binary package for now, since apparently
    packagekit-qt has taken it over.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Jul 2013 17:24:24 +0100

packagekit (0.7.6-3ubuntu2) saucy; urgency=low

  * Improve support for the Click plugin:
    - Allow plugins to override PolicyKit actions.
    - Set full_paths before auth in pk_transaction_install_files.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Jul 2013 16:32:06 +0100

packagekit (0.7.6-3ubuntu1) raring; urgency=low

  * debian/control: Adjust libpackagekit-glib2-14's Recommends to mark
    python3-aptdaemon.pkcompat as the preferred packagekit-system-interface
    provider in Ubuntu (thanks to Ursula Junque for investigation of
    differing output with germinate >= 2.6).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Mar 2013 16:50:08 +0000

packagekit (0.7.6-3build1) raring; urgency=low

  * No-change rebuild for the libarchive13 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 24 Feb 2013 14:40:44 -0700
