=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Matthias Klumpp <matthias@tenstral.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klumpp <matthias@tenstral.net>
 Uploaders: Julian Andres Klode <jak@debian.org>
-DM-Upload-Allowed: yes
 Vcs-Git: git://anonscm.debian.org/pkg-packagekit/packagekit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/packagekit.git
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: bash-completion,
+               debhelper (>= 9.0.0),
                dh-autoreconf (>= 4),
                docbook-utils,
                gir1.2-glib-2.0 (>= 0.10.1),
@@ -20,32 +21,36 @@
                libgtk-3-dev (>= 3.2),
                libgtk2.0-dev (>= 2.24),
                libnm-glib-dev [linux-any],
-               libnspr4-dev,
+               libnspr4-dev (>= 4.8.6),
                libpolkit-gobject-1-dev,
-               libqt4-dev,
                libsqlite3-dev,
+               libsystemd-login-dev (>= 44) [linux-any],
                libtool,
                libxt-dev,
                network-manager-dev [linux-any],
                pm-utils [linux-any],
                policykit-1,
-               python-apt (>= 0.8.2),
-               python-dev (>= 2.7.2-6),
+               python3 (>= 3.2),
                xmlto,
-               xulrunner-dev (>= 8.0) | firefox-dev (>= 8.0)
-Standards-Version: 3.9.3
+               xulrunner-dev (>= 8.0) [!arm64] | firefox-dev (>= 8.0) [!arm64]
+Standards-Version: 3.9.4
 Homepage: http://www.packagekit.org
 
 Package: packagekit
 Architecture: any
+Multi-Arch: foreign
 Depends: libglib2.0-bin,
-         libpackagekit-glib2-14 (= ${binary:Version}),
+         libpackagekit-glib2-16 (= ${binary:Version}),
          packagekit-backend-aptcc (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: packagekit-backend-apt (<< ${binary:Version}),
+Breaks: libpackagekit-glib2-14 (<= 0.7.6-4),
+        libpackagekit-qt2-2 (<= 0.7.6-4),
+        packagekit-backend-apt (<< ${binary:Version}),
         packagekit-backend-aptcc (<< ${binary:Version}),
-        packagekit-backend-smart (<< ${binary:Version})
+        packagekit-backend-smart (<< ${binary:Version}),
+        packagekit-offline-update (<< ${binary:Version}),
+        packagekit-plugin-click (<= 0.3.1)
 Provides: packagekit-system-interface
 Suggests: packagekit-backend-smart
 Recommends: packagekit-tools
@@ -66,7 +71,8 @@
 Package: packagekit-tools
 Architecture: any
 Section: libs
-Depends: packagekit (= ${binary:Version}),
+Multi-Arch: foreign
+Depends: python3-aptdaemon.pkcompat | packagekit-system-interface | packagekit (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Provides PackageKit command-line tools
@@ -87,14 +93,14 @@
  .
  This package provides documentation for PackageKit.
 
-Package: libpackagekit-glib2-14
+Package: libpackagekit-glib2-16
 Architecture: any
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: packagekit-system-interface | packagekit (= ${binary:Version})
+Recommends: python3-aptdaemon.pkcompat | packagekit-system-interface | packagekit (= ${binary:Version})
 Description: Library for accessing PackageKit using GLib
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -109,7 +115,7 @@
 Architecture: any
 Depends: libdbus-1-dev,
          libglib2.0-dev (>= 2.24),
-         libpackagekit-glib2-14 (= ${binary:Version}),
+         libpackagekit-glib2-16 (= ${binary:Version}),
          libsqlite3-dev,
          ${misc:Depends}
 Description: Library for accessing PackageKit using GLib (development files)
@@ -141,34 +147,6 @@
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
 
-Package: libpackagekit-qt2-2
-Architecture: any
-Section: libs
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: packagekit-system-interface | packagekit (= ${binary:Version})
-Description: Library for accessing PackageKit using Qt4
- PackageKit allows performing simple software management tasks over a DBus
- interface e.g. refreshing the cache, updating, installing and removing
- software packages or searching for multimedia codecs and file handlers.
- .
- This package provides a library to access PackageKit using Qt.
-
-Package: libpackagekit-qt2-dev
-Section: libdevel
-Architecture: any
-Depends: libpackagekit-qt2-2 (= ${binary:Version}),
-         libqt4-dev,
-         ${misc:Depends}
-Description: Library for accessing PackageKit using Qt4 (development files)
- PackageKit allows performing simple software management tasks over a DBus
- interface e.g. refreshing the cache, updating, installing and removing
- software packages or searching for multimedia codecs and file handlers.
- .
- This package provides the header files for Qt.
-
 Package: packagekit-gtk3-module
 Architecture: any
 Section: libs
@@ -186,7 +164,7 @@
 Package: gstreamer0.10-packagekit
 Architecture: any
 Section: libs
-Depends: packagekit (= ${binary:Version}),
+Depends: python3-aptdaemon.pkcompat | packagekit-system-interface | packagekit (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: gnome-packagekit | apper
@@ -201,7 +179,7 @@
 Package: browser-plugin-packagekit
 Architecture: any
 Section: web
-Depends: packagekit (= ${binary:Version}),
+Depends: python3-aptdaemon.pkcompat | packagekit-system-interface | packagekit (= ${binary:Version}),
          ${dist:Browser},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -215,14 +193,13 @@
  .
  This package provides a browser plugin.
 
-Package: python-packagekit
+Package: python3-packagekit
 Architecture: all
 Section: python
-Depends: python-dbus,
-         ${misc:Depends},
-         ${python:Depends}
+Depends: python3-dbus,
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: packagekit
-XB-Python-Version: ${python:Versions}
 Description: PackageKit backend Python bindings
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing
@@ -235,15 +212,14 @@
 
 Package: packagekit-backend-aptcc
 Architecture: any
-Depends: app-install-data,
+Depends: gdebi-core (>= 0.8.2),
          python,
-         python-packagekit (= ${source:Version}),
+         python3-packagekit (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 XB-Python-Version: ${python:Versions}
-Recommends: apt-xapian-index,
-            packagekit (= ${binary:Version})
-Suggests: gdebi-core (>= 0.8.2)
+Recommends: packagekit (= ${binary:Version})
+Suggests: apt-xapian-index
 Description: APT backend for PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -257,7 +233,7 @@
 Architecture: any
 Depends: packagekit (= ${binary:Version}),
          python,
-         python-packagekit (= ${source:Version}),
+         python3-packagekit (= ${source:Version}),
          smartpm-core,
          ${misc:Depends},
          ${shlibs:Depends}
