=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -13,16 +14,24 @@
 		--disable-tests \
 		--disable-command-not-found \
 		--disable-cron \
+		--enable-python3 \
 		--enable-introspection \
 		--enable-aptcc --enable-smart \
 		--with-default-backend=aptcc \
-		--enable-browser-plugin \
 		--enable-gtk-module \
-		--enable-gstreamer-plugin \
+		--enable-gstreamer-plugin
+
+ifeq ($(DEB_HOST_ARCH), arm64)
+	EXTRA_DH_ARGS := -Nbrowser-plugin-packagekit
+else
+	PK_CONFIGURE_FLAGS += --enable-browser-plugin
+	EXTRA_DH_ARGS :=
+endif
 
 ifneq ($(DEB_HOST_ARCH_OS), linux)
 	PK_CONFIGURE_FLAGS += --disable-networkmanager \
-		--disable-connman
+		--disable-connman \
+		--disable-systemd
 endif
 
 LDFLAGS += -Wl,--as-needed
@@ -37,11 +46,11 @@
 INSTALLDIR = $(CURDIR)/debian/tmp
 
 %:
-	dh $@ --parallel --with python2 --with autoreconf
+	dh $@ --parallel --with python3 --with autoreconf $(EXTRA_DH_ARGS)
 
 extrainstallfiles-stamp:
-	cat debian/packagekit.install | grep -v '/pm-utils/' > debian/packagekit.install.kfreebsd
-	cat debian/packagekit.install | grep -v '/pm-utils/' > debian/packagekit.install.hurd
+	grep -E -v 'pk-offline-update|pk-trigger-offline-update|pk-clear-offline-update|/pm-utils/' debian/packagekit.install > debian/packagekit.install.kfreebsd
+	grep -E -v 'pk-offline-update|pk-trigger-offline-update|pk-clear-offline-update|/pm-utils/' debian/packagekit.install > debian/packagekit.install.hurd
 	touch $@
 
 override_dh_auto_configure:
@@ -60,9 +69,7 @@
 	rm -f  $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-?.0/modules/*.la
 	rm -f  $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/packagekit-plugins/*.la
 	rm -f  $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
-	rm -rf $(INSTALLDIR)/usr/share/PackageKit/website
 	rm -f  $(INSTALLDIR)/usr/bin/packagekit-bugreport.sh
-	rm -f  $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libpackagekit-qt.*
 	rm -f  $(INSTALLDIR)/var/lib/PackageKit/transactions.db
 	rm -f  $(INSTALLDIR)/etc/bash_completion.d/pk-completion.bash
 
@@ -88,7 +95,7 @@
 	dh_gencontrol -- $(SUBSTVARS)
 
 override_dh_strip:
-	dh_strip --dbg-package=packagekit-dbg
+	dh_strip --dbg-package=packagekit-dbg $(EXTRA_DH_ARGS)
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
