## packagekit 0.8.12

=== debian/changelog ===
packagekit (0.8.12-1ubuntu5) trusty; urgency=medium

  * Link against gstreamer1.0, instead of gstreamer0.10 since almost
    everything in default installations is using gstreamer1.0 (ubuntu,
    kubuntu, etc).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Apr 2014 13:21:03 +0100

packagekit (0.8.12-1ubuntu4) trusty; urgency=low

  * increase timeout for aptcc. LP: #1001376

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 01 Apr 2014 20:47:03 +0800

packagekit (0.8.12-1ubuntu3) trusty; urgency=medium

  * Change p-b-aptcc backend helper shebang from python2 to python3. (LP:
    #1283574)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Feb 2014 17:12:52 +0000

packagekit (0.8.12-1ubuntu2) trusty; urgency=medium

  * Temporarily disable browser plugin on ppc64el, to help with
    bootstrapping this new architecture.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Dec 2013 12:13:32 +0000

packagekit (0.8.12-1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    + Client tools alternatively depend on or recommend aptdaemon's
      compatibility layer.
    + packagekit provides the virtual packagekit-system-interface.
    + Add break on packagekit-plugin-click <= 0.3.
    + Fix default url in vendor-ubuntu.diff.
    + Temporarily disable browser plugin on arm64, to help with
      bootstrapping this new architecture.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 08:02:30 -0700

packagekit (0.8.12-1) unstable; urgency=low

  * New upstream release: 0.8.12
  * Depend on policykit-1 (Closes: #719569)
  * Update symbols file
  * Remove TODO from docs
  * Fix default URL for Ubuntu vendor

 -- Matthias Klumpp <mak@debian.org>  Sun, 20 Oct 2013 18:42:46 +0200
