=== debian/control ===
--- 
+++ 
@@ -17,14 +17,14 @@
                libarchive-dev,
                libgirepository1.0-dev (>= 0.10.1),
                libglib2.0-dev (>= 2.24),
-               libgstreamer-plugins-base0.10-dev,
+               libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.2),
                libgtk2.0-dev (>= 2.24),
                libnm-glib-dev [linux-any],
                libnspr4-dev (>= 4.8.6),
                libpolkit-gobject-1-dev,
                libsqlite3-dev,
-               libsystemd-login-dev (>= 44) [linux-any],
+               libsystemd-login-dev (>= 204) [linux-any],
                libtool,
                libxt-dev,
                network-manager-dev [linux-any],
@@ -32,7 +32,7 @@
                policykit-1,
                python3 (>= 3.2),
                xmlto,
-               xulrunner-dev (>= 8.0) [!arm64] | firefox-dev (>= 8.0) [!arm64]
+               xulrunner-dev (>= 8.0) [!arm64 !ppc64el] | firefox-dev (>= 8.0) [!arm64 !ppc64el]
 Standards-Version: 3.9.4
 Homepage: http://www.packagekit.org
 
@@ -42,6 +42,7 @@
 Depends: libglib2.0-bin,
          libpackagekit-glib2-16 (= ${binary:Version}),
          packagekit-backend-aptcc (= ${binary:Version}),
+         policykit-1,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libpackagekit-glib2-14 (<= 0.7.6-4),
@@ -213,11 +214,10 @@
 Package: packagekit-backend-aptcc
 Architecture: any
 Depends: gdebi-core (>= 0.8.2),
-         python,
+         python3,
          python3-packagekit (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-XB-Python-Version: ${python:Versions}
 Recommends: packagekit (= ${binary:Version})
 Suggests: apt-xapian-index
 Description: APT backend for PackageKit
