=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 		--enable-gtk-module \
 		--enable-gstreamer-plugin
 
-ifeq ($(DEB_HOST_ARCH), arm64)
+ifneq (,$(filter $(DEB_HOST_ARCH), arm64 ppc64el))
 	EXTRA_DH_ARGS := -Nbrowser-plugin-packagekit
 else
 	PK_CONFIGURE_FLAGS += --enable-browser-plugin
