=== debian/watch ===
version=3
http://www.packagekit.org/releases/PackageKit-([\d\.]+)\.tar\.xz
